#' Result of the fit using the nest database using transition
#' @title Result of the fit using the nest database using transition
#' @author Marc Girondot \email{marc.girondot@@universite-paris-saclay.fr}
#' @docType data
#' @name resultNest_4p_transition
#' @encoding UTF-8
#' @description Fit using the nest database using transition
#' @references Girondot, M., & Kaska, Y. (2014). A model to predict 
#'             the thermal reaction norm for the embryo growth rate 
#'             from field data. Journal of Thermal Biology, 45, 96-102. 
#'             doi: 10.1016/j.jtherbio.2014.08.005
#' @keywords datasets
#' @usage resultNest_4p_transition
#' @examples
#' \dontrun{
#' library(embryogrowth)
#' data(nest)
#' formated <- FormatNests(nest)
#' data(resultNest_4p_transition)
#' }
#' @format A list with fitted information about data(nest)
NULL
